package com.vaadin.demo.springaddressbook;

import com.vaadin.ui.Window;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * @author Max Matveev &lt;mail@maxmatveev.com&gt;
 *         Date: 29.10.11
 */
@Component
@Scope("session")
public class MainWindow extends Window {
    @Autowired
    private MainLayout mainLayout;

    @PostConstruct
    protected void init() {
        setCaption("Address book");
        setContent(mainLayout);
    }
}
