package com.vaadin.demo.springaddressbook.contacteditor;

import com.vaadin.ui.Form;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * @author Max Matveev &lt;mail@maxmatveev.com&gt;
 *         Date: 29.10.11
 */
@Component
@Scope("session")
public class ContactEditor extends Form {
    @PostConstruct
    protected void init() {
        setCaption("Contact details editor");
        setSizeFull();
        setImmediate(true);
    }

    @Override
    public void attach() {
        super.attach();
        getLayout().setMargin(true);
    }
}
